DIM A1$(30)
PRINT "To combine all the two-column data files for stopping power"
PRINT "for one projectile-target combination but two Mass Numbers A1,"
PRINT "adding a third column with A1"
PRINT "Output File *.cb3 to be used by LCONV2A1, LCON2A1I.BAS, or LCONVUB3.BAS"
PRINT "Files must be numbered consecutively irrespective of A1!"
PRINT "Use lower/upper case letters correctly!"
'omitting text lines starting with semi-colon
'28 Apr 99: Empty lines and lines with only null strings rejected!      

INPUT "Enter name of projectile (without A1) and target (e.g.:C, Al: )"; Proj$, Targ$
FileName$ = Proj$ + Targ$ + "."
OutFile$ = FileName$ + "cb3"
OPEN OutFile$ FOR OUTPUT AS #1

INPUT "Enter the two values A1: "; A11$, A12$
INPUT "Enter the highest File Number: "; Lastfile
i = 0                               'Find values A1 for all the files
start0: i = i + 1
        File$ = A11$ + FileName$ + LTRIM$(STR$(i))
        A1$ = A11$
        ON ERROR GOTO error1:
        OPEN File$ FOR INPUT AS #2
        CLOSE #2: A1$(i) = A1$
IF i < Lastfile THEN GOTO start0:

ON ERROR GOTO 0                         'Turn off error trapping
FOR FileNumber = 1 TO Lastfile
        Letter$ = CHR$(FileNumber + 64)
        OPEN A1$(FileNumber) + FileName$ + LTRIM$(STR$(FileNumber)) FOR INPUT AS #2
        PRINT "File Number ="; FileNumber: SLEEP 1
start:  IF EOF(2) GOTO there:
        LINE INPUT #2, line$
        Length = LEN(line$)
        IF Length = 0 GOTO start:  'reject empty line
        IF STRING$(1, line$) = ";" GOTO start: 'reject remark starting with ;
        i = 1                'reject spaces or tabs at beginning of line
        FOR j = 1 TO Length
                test = ASC(MID$(line$, i, 1))
                IF test = 32 OR test = 9 THEN i = i + 1 ELSE GOTO point1:
        NEXT               'ith character is first digit of E
        GOTO start:                 'if line contains only Null String  
      
point1: i = i + 1
        DO                   'find first space or tab AFTER first number    
                test = ASC(MID$(line$, i, 1))    'find first space or tab
                IF test = 32 OR test = 9 GOTO digit:
                i = i + 1
        LOOP
digit:  E = VAL(LEFT$(line$, i))
        S = VAL(MID$(line$, i + 1, 30))
        A1 = VAL(A1$(FileNumber))
        PRINT E, S, A1
        PRINT #1, E, S, A1
        GOTO start:
there:  CLOSE #2
NEXT
END

error1: A1$ = A12$: RESUME NEXT



